@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");

:root {
  --primary-color: #a855f7;
  --primary-color-dark: #9333ea;
  --secondary-color: #ca8a04;
  --text-dark: #1f2937;
  --text-light: #6b7280;
  --extra-light: #faf5ff;
  --max-width: 1200px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

body {
  font-family: "Poppins", sans-serif;
}




.section {
  background-color: var(--extra-light);
}

.section__container {
  min-height: 100vh;
  max-width: var(--max-width);
  margin: auto;
  padding: 1rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 4rem;
}

.content {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.subtitle {
  letter-spacing: 2px;
  color: var(--text-light);
  font-weight: 600;
  margin-bottom: 0.5rem;
}

.title {
  font-size: 2.5rem;
  font-weight: 400;
  line-height: 3rem;
  color: var(--text-dark);
  margin-bottom: 1rem;
}

.title span {
  font-weight: 600;
}

.description {
  line-height: 1.5rem;
  color: var(--text-light);
  margin-bottom: 2rem;
}

.action__btns {
  display: flex;
  gap: 1rem;
}

.action__btns button {
  font-size: 1rem;
  font-weight: 600;
  letter-spacing: 2px;
  padding: 1rem 2rem;
  outline: none;
  border: 2px solid var(--primary-color);
  border-radius: 10px;
  transition: 0.3s;
  cursor: pointer;
}

.hire__me {
  background-color: var(--primary-color);
  color: #ffffff;
}

.hire__me:hover {
  background-color: var(--primary-color-dark);
}

.portfolio {
  color: var(--primary-color);
}

.portfolio:hover {
  background-color: var(--primary-color-dark);
  color: #ffffff;
}

.image {
  display: grid;
  place-items: center;
}

.image img {
  width: min(20rem, 90%);
  border-radius: 100%;
}

.timeline{
    position: relative;
    max-width: 1200px;
    margin: 100px auto;
}

.container{
    padding: 10px 50px;
    position: relative;
    width: 50%;
    animation: movedown 1s linear forwards;
    opacity: 0;
   
}

@keyframes movedown{
    0%{
        opacity: 1;
        transform: translateY(-30px);
    }
    100%{
        opacity: 1;
        transform: translateY(0px);
    }
}

.container:nth-child(1){
    animation-delay: 0s;
}

.container:nth-child(2){
    animation-delay: 2s;
}

.container:nth-child(3){
    animation-delay: 4s;
}

.text-box{
    border: 1px solid var(--primary-color);
    padding: 20px 30px;
    background: #fff;
    position: relative;
    border-radius: 6px;
    font-size: 15px;
}

.left-container{
    left:0;
}
.right-container{
    left:50%;
}

.dot{
    position: absolute;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: black;
    right: -10px;
    top: 50px;
    z-index: 10;
}

.right-container .dot{ 
    left: -10px
}

.timeline::after{
    content: "";
    position: absolute;
    width: 5px;
    height: 100%;
    background: black;
    top: 0;
    left: 50%;
    transform: translate(-50%,0);
    animation: moveline 6s linear forwards;
}
@keyframes moveline{
    0%{
        height: 0;
    }
    100%{
        height: 100%;
    }
}
.text-box h2{
    font-weight: 600;
}

.text-box small{
    display: inline-block;
    margin-bottom: 15px;
}

.skills{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    row-gap: 30px;
}

.skills {
    font-size: 20px;
}


footer{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    row-gap: 30px;
    background: #F8F8F8;
    padding-block: 40px 60px;
}
.hr-line{
    color: black;
    width: 80%;
}
.top-footer p{
    font-size: 25px;
    font-weight: 600;
}


.footer-social-icons{
    display: flex;
    gap: 30px;   
}
.footer-social-icons a{
    border: 1px solid;
    border-radius: 50%;
    padding: 5px;
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: height 0.5s, width 0.5s;
}

.footer-social-icons a:hover{
    box-sizing: content-box;
    height: 35px;
    width: 35px;
  
}
.bottom-footer{
    font-size: 14px;
    margin-top: 10px;
}

@media (width < 750px) {

  .section__container {
    padding: 10rem 1rem 5rem 1rem;
    text-align: center;
    grid-template-columns: repeat(1, 1fr);
  }

  .image {
    grid-area: 1/1/2/2;
  }

  .action__btns {
    margin: auto;
  }

  .timeline{
    margin: 50px auto;
  }
  .timeline::after{
    left: 30px;
  }
  .container{
    width: 100%;
    padding-left: 80px;
    padding-right: 20px;
  }
  .right-container{
    left: 0;
  }

  .dot{
    left: 20px;
  }

  .right-container .dot{
    left: 20px;
  }
}